---
size_factor: 1.0
fluid_factor: 1.0
---
@{
base_font_size = 9
golden_ratio = 1.618

tiny = round(size_factor * base_font_size * 0.6)
tiny_line_space = round(tiny * golden_ratio * fluid_factor)

scriptsize = round(size_factor * base_font_size * 0.7)
scriptsize_line_space = round(scriptsize * golden_ratio * fluid_factor)

footnotesize = round(size_factor * base_font_size * 0.8)
footnotesize_line_space = round(footnotesize * golden_ratio * fluid_factor)

small = round(size_factor * base_font_size * 0.9)
small_line_space = round(small * golden_ratio * fluid_factor)

normalsize = round(size_factor * base_font_size)
normalsize_line_space = round(normalsize * golden_ratio * fluid_factor)

large = round(size_factor * base_font_size * 1.1)
large_line_space = round(large * golden_ratio * fluid_factor)

Large = round(size_factor * base_font_size * 1.2)
Large_line_space = round(Large * golden_ratio * fluid_factor)

LARGE = round(size_factor * base_font_size * 1.35)
LARGE_line_space = round(LARGE * golden_ratio * fluid_factor)

huge = round(size_factor * base_font_size * 1.5)
huge_line_space = round(huge * golden_ratio * fluid_factor)

Huge = round(size_factor * base_font_size * 1.8)
Huge_line_space = round(Huge * golden_ratio * fluid_factor)
}

\renewcommand{\tiny}{\fontsize{@tiny}{@tiny_line_space}\selectfont}
\renewcommand{\scriptsize}{\fontsize{@scriptsize}{@scriptsize_line_space}\selectfont}
\renewcommand{\footnotesize}{\fontsize{@footnotesize}{@footnotesize_line_space}\selectfont}
\renewcommand{\small}{\fontsize{@small}{@small_line_space}\selectfont}
\renewcommand{\normalsize}{\fontsize{@normalsize}{@normalsize_line_space}\selectfont}
\renewcommand{\large}{\fontsize{@large}{@Large_line_space}\selectfont}
\renewcommand{\Large}{\fontsize{@Large}{@Large_line_space}\selectfont}
\renewcommand{\LARGE}{\fontsize{@LARGE}{@LARGE_line_space}\selectfont}
\renewcommand{\huge}{\fontsize{@huge}{@huge_line_space}\selectfont}
\renewcommand{\Huge}{\fontsize{@Huge}{@Huge_line_space}\selectfont}

\newcommand\chapterformat[1]{{\Huge\bfseries\sffamily\color{main}#1}}


\setlength{\textfloatsep}{40pt}
\setlength{\intextsep}{@(Huge_line_space)pt}

\usepackage{xpatch}
\xapptocmd{\sectionlinesformat}{\vspace*{-\parskip}}{}{}

\setlength{\parindent}{0pt}
\setlength{\parskip}{@(normalsize_line_space)pt}